"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareHttpError = void 0;
const common_1 = require("@nestjs/common");
function prepareHttpError(context, error) {
    const response = error.getResponse();
    const status = error.getStatus();
    const errors = [];
    switch (typeof response.message) {
        case 'string':
            errors.push({ detail: response.message });
            break;
        case 'object':
            if (Array.isArray(response.message)) {
                errors.push(...response.message);
            }
            else {
                errors.push(response.message);
            }
            break;
        default:
            errors.push(response);
    }
    return new common_1.HttpException({ errors }, status);
}
exports.prepareHttpError = prepareHttpError;
//# sourceMappingURL=prepare-http-error.js.map