"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkQueryIncludeParam = void 0;
const tslib_1 = require("tslib");
const param_case_1 = require("param-case");
function checkQueryIncludeParam(queryParams, entityMetadata) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const errors = [];
        (queryParams["include" /* include */] || []).forEach(relationName => {
            const relation = entityMetadata.relations.find(relation => {
                return relation.propertyPath === relationName;
            });
            if (!relation) {
                errors.push({
                    detail: `Relation '${param_case_1.paramCase(relationName)}' does not exist`,
                    source: {
                        parameter: "include" /* include */,
                    },
                });
            }
        });
        return errors;
    });
}
exports.checkQueryIncludeParam = checkQueryIncludeParam;
//# sourceMappingURL=check-query-include-param.js.map