"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkRelationDataType = void 0;
const tslib_1 = require("tslib");
function checkRelationDataType(relationData, relationMetadata) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const generalErrors = [];
        if (['one-to-one', 'many-to-one'].includes(relationMetadata.relationType) && Array.isArray(relationData)) {
            generalErrors.push({
                source: { pointer: '/data' },
                detail: `Relation '${relationMetadata.propertyName}' data definition must be an object`,
            });
        }
        if (relationMetadata.relationType === 'many-to-many') {
            if (relationData !== null && !Array.isArray(relationData)) {
                generalErrors.push({
                    source: { pointer: '/data' },
                    detail: `Relation '${relationMetadata.propertyName}' data definition must be an array`,
                });
            }
        }
        if (relationMetadata.relationType === 'one-to-many') {
            generalErrors.push({
                detail: `Edit relation '${relationMetadata.propertyName}' on the inverse side`,
            });
        }
        return generalErrors;
    });
}
exports.checkRelationDataType = checkRelationDataType;
//# sourceMappingURL=check-relation-data-type.js.map