"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bodyPostMixin = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("@nestjs/typeorm");
const common_1 = require("@nestjs/common");
const mixin_1 = require("../../../helpers/mixin");
const helpers_1 = require("../../../helpers");
function bodyPostMixin(entity) {
    let BodyPostMixin = class BodyPostMixin {
        transform(value) {
            return tslib_1.__awaiter(this, void 0, void 0, function* () {
                const resourceMetadata = this.repository.metadata;
                const bodyErrors = yield helpers_1.checkResourceBodyStructure(value, resourceMetadata, false, false);
                if (bodyErrors.length > 0) {
                    throw new common_1.UnprocessableEntityException(bodyErrors);
                }
                const generalErrors = [];
                generalErrors.push(...yield helpers_1.checkClassValidatorFields(value, resourceMetadata, false));
                if (!value.relationships) {
                    if (generalErrors.length > 0) {
                        throw new common_1.UnprocessableEntityException(generalErrors);
                    }
                    return value;
                }
                generalErrors.push(...yield helpers_1.checkResourceRelationsType(value, resourceMetadata));
                if (generalErrors.length > 0) {
                    throw new common_1.UnprocessableEntityException(generalErrors);
                }
                generalErrors.push(...yield helpers_1.checkResourceRelationsData(value, resourceMetadata));
                if (generalErrors.length > 0) {
                    throw new common_1.UnprocessableEntityException(generalErrors);
                }
                return value;
            });
        }
    };
    tslib_1.__decorate([
        typeorm_1.InjectRepository(entity),
        tslib_1.__metadata("design:type", Object)
    ], BodyPostMixin.prototype, "repository", void 0);
    BodyPostMixin = tslib_1.__decorate([
        common_1.Injectable()
    ], BodyPostMixin);
    return mixin_1.mixin(BodyPostMixin);
}
exports.bodyPostMixin = bodyPostMixin;
//# sourceMappingURL=body-post.js.map